/*
Theme Name: ΕΟΣ Λάρισας
Author: B2Sea
Author URI: https://itbox.gr
Version: 1.0
Template: hello-elementor
Text Domain: eoslarissas
*/


/*------------------------------------------------------------*/
/* General */

body {
	/* -webkit-font-smoothing: antialiased; */
	-webkit-font-smoothing: auto;
	/* -moz-osx-font-smoothing: grayscale; */
	-moz-osx-font-smoothing: auto;
	font-variant-ligatures: none;
}
svg {
	display: block;
}

::selection {
	color: #FFFFFF;
	background: var(--e-global-color-accent);
}


/* Breakpoints (Reference) */

@media (max-width: 1023px) {
	/* Placeholder */
}
@media (max-width: 767px) {
	/* Placeholder */
}


/* WordPress Fixes */

@media (max-width: 600px) {
	#wpadminbar {
		position: fixed;
	}
}


/* Typography Fixes */

strong, b {
	/* font-weight: 700; */
}


/*------------------------------------------------------------*/
/* Variables */

/* WordPress Admin Bar */

body {
	--admin-bar: 0px;
}
body.admin-bar {
	--admin-bar: 32px;
}
@media (max-width: 782px) {
	body.admin-bar {
		--admin-bar: 46px;
	}
}
@media (max-width: 600px) {
	body.admin-bar {
		--admin-bar: 46px;
	}
}


/* Viewport Height (without the Admin Bar) */

body {
	--viewport-height: calc(100vh - var(--admin-bar, 0px));
	--viewport-height: calc(100svh - var(--admin-bar, 0px));
}


/*------------------------------------------------------------*/
/* Helper Classes */

/* Navigation Helpers */

.no-scroll {
	overflow: hidden;
	/* max-height: 100vh; */
	/* max-height: var(--viewport-height, 100vh); */
}
.no-select {
	user-select: none;
}

/* Visibility Helpers */

@media (min-width: 1024px) {
	.hide-on-desktop {
		display: none;
	}
}
@media (max-width: 1023px) {
	.hide-on-mobile {
		display: none;
	}
}
@media (max-width: 767px) {
	.hide-on-mobile {
		display: none;
	}
}


/*------------------------------------------------------------*/
/* Elementor: Fixes */

.e-con.e-parent {
	/* --z-index: 0; */ /* Act as default */
}

/* Default Container Paddings */

.e-con.e-con-boxed {
	--padding-left: 24px!important;
	--padding-right: 24px!important;
}
@media (max-width: 1023px) {
	.e-con.e-con-boxed {
		--padding-left: 20px!important;
		--padding-right: 20px!important;
	}
}

/* Transitions */

body .e-con {
	/* transition: none; */ /* Disable transitions */
}
body .elementor-element {
	/* transition: none; */ /* Disable transitions */
}


/*------------------------------------------------------------*/
/* Elementor: Animations */

.animated {
	animation-duration: 1s;
}

@keyframes fadeInDown {
	from {
		opacity: 0;
		transform: translate3d(0, -15%, 0);
	}
	to {
		opacity: 1;
		transform: none;
	}
}

@keyframes fadeInLeft {
	from {
		opacity: 0;
		transform: translate3d(-5%, 0, 0);
	}
	to {
		opacity: 1;
		transform: none;
	}
}

@keyframes fadeInRight {
	from {
		opacity: 0;
		transform: translate3d(5%, 0, 0);
	}
	to {
		opacity: 1;
		transform: none;
	}
}

@keyframes fadeInUp {
	from {
		opacity: 0;
		transform: translate3d(0, 15%, 0);
	}
	to {
		opacity: 1;
		transform: none;
	}
}


/*------------------------------------------------------------*/
/* Header */

.elementor-location-header {
	position: relative;
	z-index: 2;
}


/*------------------------------------------------------------*/
/* Main */

main.site-main {
	position: relative;
	z-index: 1;
}


/*------------------------------------------------------------*/
/* Footer */

.elementor-location-footer {
	position: relative;
	z-index: 1;
}



/*------------------------------------------------------------*/
/* Element: Posts (Archives) */

/* Fixes */

.elementor-widget-posts .elementor-posts .elementor-post .elementor-post__thumbnail,
.elementor-widget-archive-posts .elementor-posts .elementor-post .elementor-post__thumbnail {
	display: block;
	position: relative;
	width: 100%;
	height: auto;
	aspect-ratio: 3/2;
	overflow: hidden;
}
.elementor-widget-posts .elementor-posts .elementor-post .elementor-post__thumbnail > img,
.elementor-widget-archive-posts .elementor-posts .elementor-post .elementor-post__thumbnail > img {
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
	-webkit-transform: none!important;
	-ms-transform: none!important;
	/* transform: none!important; */
}
.elementor-widget-posts .elementor-posts .elementor-post .elementor-post__thumbnail.elementor-fit-height > img,
.elementor-widget-archive-posts .elementor-posts .elementor-post .elementor-post__thumbnail.elementor-fit-height > img {
	width: 100%;
	height: 100%;
}
.elementor-widget-posts .elementor-posts .elementor-post .elementor-post__title,
.elementor-widget-posts .elementor-posts .elementor-post .elementor-post__title a,
.elementor-widget-archive-posts .elementor-posts .elementor-post .elementor-post__title,
.elementor-widget-archive-posts .elementor-posts .elementor-post .elementor-post__title a {
	display: block;
}


/* Default Styling */

.elementor-widget-posts .elementor-posts .elementor-post .elementor-post__meta-data span+span:before,
.elementor-widget-archive-posts .elementor-posts .elementor-post .elementor-post__meta-data span+span:before {
	margin: 0 3px;
}
.elementor-widget-posts .elementor-posts .elementor-post .elementor-post__meta-data a,
.elementor-widget-archive-posts .elementor-posts .elementor-post .elementor-post__meta-data a {
	color: inherit;
}
.elementor-widget-posts .elementor-posts .elementor-post .elementor-post__meta-data a:hover,
.elementor-widget-archive-posts .elementor-posts .elementor-post .elementor-post__meta-data a:hover {
	color: var(--e-global-color-primary);
}


/* Default Styling -> Cards Skin */

.elementor-widget-posts .elementor-posts .elementor-post .elementor-post__thumbnail__link,
.elementor-widget-archive-posts .elementor-posts .elementor-post .elementor-post__thumbnail__link {
	margin-bottom: 0;
}
.elementor-widget-posts .elementor-posts .elementor-post .elementor-post__read-more,
.elementor-widget-archive-posts .elementor-posts .elementor-post .elementor-post__read-more {
	margin-bottom: 0;
}


/* Default Styling -> Pagination */

.elementor-pagination {
	display: flex;
	flex-direction: row;
	justify-content: center;
	margin-top: 40px;
	user-select: none;
	gap: 6px 6px;
}
.elementor-pagination .page-numbers {
	display: block;
	font-size: 13px;
	line-height: 20px;
	font-weight: 500;
	min-width: 32px;
	padding: 6px 13px 4px 11px;
	margin: 0!important;
	border-radius: 2px;
	border: 1px solid var(--e-global-color-primary);
	background: transparent;
	color: var(--e-global-color-primary);
}
.elementor-pagination a.page-numbers:hover,
.elementor-pagination span.page-numbers.current {
	border: 1px solid var(--e-global-color-primary);
	background: var(--e-global-color-primary);
	color: #FFFFFF;
}
.elementor-pagination span.page-numbers {
	cursor: default;
}
.elementor-pagination span.page-numbers.prev,
.elementor-pagination span.page-numbers.next {
	opacity: 0.75;
}


/*------------------------------------------------------------*/
/* Elementor Element: Featured Image */

/* Fixes */

.elementor-widget-theme-post-featured-image img {
	display: block;
	width: 100%;
	height: auto;
	aspect-ratio: 3/2;
	object-fit: cover;
}


/*------------------------------------------------------------*/
/* Element: Post Content (Posts & Pages) */

/* Default Styling → Text */

.elementor-widget-theme-post-content.styling-default {
	font-size: 16px;
	line-height: 1.5; /* x1.5 */
	color: var(--e-global-color-text);
}
@media (max-width: 767px) {
	.elementor-widget-theme-post-content.styling-default {
		/* font-size: 16px; */
		/* line-height: 24px; */
	}
}

.elementor-widget-theme-post-content.styling-default p {
	margin-bottom: 20px;
}
.elementor-widget-theme-post-content.styling-default p:last-child {
	margin-bottom: 0;
}

.elementor-widget-theme-post-content.styling-default a {
	text-decoration: underline;
	color: var(--e-global-color-text);
}
.elementor-widget-theme-post-content.styling-default a:hover {
	text-decoration: underline;
	color: var(--e-global-color-accent);
}

.elementor-widget-theme-post-content.styling-default b,
.elementor-widget-theme-post-content.styling-default strong {
	font-weight: 600;
}

.elementor-widget-theme-post-content.styling-default ul {
	margin-bottom: 20px;
	padding-left: 40px;
	list-style-position: outside;
}
.elementor-widget-theme-post-content.styling-default ul li {
	margin-bottom: 4px;
}
.elementor-widget-theme-post-content.styling-default ul li:last-child {
	margin-bottom: 0;
}
.elementor-widget-theme-post-content.styling-default ul:last-child {
	margin-bottom: 0;
}

.elementor-widget-theme-post-content.styling-default ol {
	margin-bottom: 20px;
	padding-left: 40px;
	list-style-position: outside;
}
.elementor-widget-theme-post-content.styling-default ol li {
	margin-bottom: 8px;
}
.elementor-widget-theme-post-content.styling-default ol li:last-child {
	margin-bottom: 0;
}
.elementor-widget-theme-post-content.styling-default ol:last-child {
	margin-bottom: 0;
}

.elementor-widget-theme-post-content.styling-default h1,
.elementor-widget-theme-post-content.styling-default h2,
.elementor-widget-theme-post-content.styling-default h3,
.elementor-widget-theme-post-content.styling-default h4,
.elementor-widget-theme-post-content.styling-default h5,
.elementor-widget-theme-post-content.styling-default h6 {
	font-weight: 600;
	letter-spacing: -0.025em;
	margin: 0 0 16px 0;
}
.elementor-widget-theme-post-content.styling-default h1 {
	font-size: 24px;
	line-height: 30px;
}
.elementor-widget-theme-post-content.styling-default h2 {
	font-size: 22px;
	line-height: 28px;
}
.elementor-widget-theme-post-content.styling-default h3 {
	font-size: 20px;
	line-height: 26px;
}
.elementor-widget-theme-post-content.styling-default h4 {
	font-size: 18px;
	line-height: 24px;
}
.elementor-widget-theme-post-content.styling-default h5 {
	font-size: 17px;
	line-height: 24px;
}
.elementor-widget-theme-post-content.styling-default h6 {
	font-size: 16px;
	line-height: 23px;
}

.elementor-widget-theme-post-content.styling-default blockquote {
	font-size: 20px;
	line-height: 26px;
	font-weight: 500;
	letter-spacing: -0.025em;
	font-style: normal;
	text-align: left;
	border: none;
	margin: 28px auto 32px auto;
	color: var(--e-global-color-primary);
}
.elementor-widget-theme-post-content.styling-default blockquote:before {
	content: "";
	display: block;
	width: 25%;
	height: 2px;
	margin: 0 0 12px 0;
	background-color: var(--e-global-color-primary);
}
.elementor-widget-theme-post-content.styling-default blockquote:after {
	content: none;
}
@media (max-width: 1023px) {
	.elementor-widget-theme-post-content.styling-default blockquote {
		font-size: 20px;
		line-height: 26px;
	}
}
@media (max-width: 767px) {
	.elementor-widget-theme-post-content.styling-default blockquote {
		font-size: 18px;
		line-height: 24px;
	}
}

.elementor-widget-theme-post-content.styling-default hr {
	display: block;
	border: none;
	height: 1px;
	margin: 24px 0;
	background: #CCCCCC;
}

/* Default Styling → Images */

.elementor-widget-theme-post-content.styling-default img {
	display: block;
	width: auto;
	margin: 24px 0 24px 0;
	border-radius: 0;
}

.elementor-widget-theme-post-content.styling-default .alignnone {
	margin: 24px 0 24px 0;
}
.elementor-widget-theme-post-content.styling-default .aligncenter {
	margin: 24px auto 24px auto;
}
.elementor-widget-theme-post-content.styling-default .alignleft {
	margin: 24px auto 24px 0;
	float: none;
}
.elementor-widget-theme-post-content.styling-default .alignright {
	margin: 24px 0 24px auto;
	float: none;
}

.elementor-widget-theme-post-content.styling-default .wp-caption {
	width: auto!important;
	margin: 24px auto 24px auto;
}
.elementor-widget-theme-post-content.styling-default .wp-caption.alignnone,
.elementor-widget-theme-post-content.styling-default .wp-caption.aligncenter,
.elementor-widget-theme-post-content.styling-default .wp-caption.alignleft,
.elementor-widget-theme-post-content.styling-default .wp-caption.alignright {
	margin: 24px auto 24px auto;
}
.elementor-widget-theme-post-content.styling-default .wp-caption img {
	margin-top: 0;
	margin-bottom: 0;
}
.elementor-widget-theme-post-content.styling-default .wp-caption .wp-caption-text {
	margin: 6px 0 -2px 0;
	font-size: 12px;
	line-height: 16px;
	text-align: left;
	font-style: normal;
	color: var(--e-global-color-text);
}

.elementor-widget-theme-post-content.styling-default p:first-child img {
	margin-top: 0;
}
.elementor-widget-theme-post-content.styling-default p:last-child img {
	margin-bottom: 0;
}

.elementor-widget-theme-post-content.styling-default .wp-caption:first-child {
	margin-top: 0;
}
.elementor-widget-theme-post-content.styling-default .wp-caption:last-child {
	margin-bottom: 0;
}

/* Default Styling → Embeds */

.elementor-widget-theme-post-content.styling-default iframe {
	display: block;
}
.elementor-widget-theme-post-content.styling-default ins {
	background: transparent;
}

/* Default Styling → Embeds */

.elementor-widget-theme-post-content.styling-default iframe[src*="dailymotion.com"],
.elementor-widget-theme-post-content.styling-default iframe[src*="ert.gr"],
.elementor-widget-theme-post-content.styling-default iframe[src*="vimeo.com"],
.elementor-widget-theme-post-content.styling-default iframe[src*="youtube.com"],
.elementor-widget-theme-post-content.styling-default iframe[src*="youtu.be"] {
	display: block;
	width: auto;
	height: auto;
	aspect-ratio: 16/9;
	margin-top: 32px;
	margin-bottom: 32px;
}


/*------------------------------------------------------------*/
/* Element: Text Editor */

/* Default Styling */

.elementor-widget-text-editor p {
	margin-bottom: 12px;
}
.elementor-widget-text-editor p:last-child {
	margin-bottom: 0;
}

.elementor-widget-text-editor ul {
	margin-bottom: 12px;
	padding-left: 32px;
	list-style-position: outside;
}
.elementor-widget-text-editor ul li {
	margin-bottom: 4px;
}
.elementor-widget-text-editor ul li:last-child {
	margin-bottom: 0;
}
.elementor-widget-text-editor ul:last-child {
	margin-bottom: 0;
}
